/* OBCODE 1.0 by Pawel Krawczyk <kravietz at echelon dot pl>
 *
 * Redistribution of this file is permitted under the Lesser GNU Public License.
 *
 * $Id: obcode.h,v 1.2 2002/12/16 21:00:44 kravietz Exp $
 */

struct obyte {
	unsigned char s[8];
};
struct obint {
	unsigned char s[32];
};

void obcode_init(unsigned char key);
void obcode_finish();
unsigned char obit_set(int b);
unsigned char obit_get(unsigned char b);
void obyte_set(struct obyte *b, unsigned char c);
unsigned char obyte_get(struct obyte *b);

void obit_xor(unsigned char *b1, unsigned char *b2, unsigned char *b3);
void obyte_xor(struct obyte *ob1, struct obyte *ob2, struct obyte *ob3);
void obit_or(unsigned char *b1, unsigned char *b2, unsigned char *b3);
void obit_and(unsigned char *b1, unsigned char *b2, unsigned char *b3);
void obit_not(unsigned char *b1, unsigned char *b2);

void obyte_add(struct obyte *ob1, struct obyte *ob2, struct obyte *ob3);
void obyte_copy(struct obyte *dst, struct obyte *src);
void obyte_swap(struct obyte *ob1, struct obyte *ob2);
